Subject: bug#26951: closed (Re: bug#26951: 25.2; `calc-mode': autoload?)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Sep 2019 03:00:02 +0000

Your bug report

#26951: 25.2; `calc-mode': autoload?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26951: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26951
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26951: 25.2; `calc-mode': autoload?
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Drew Adams <[email-masked]>
Date: Sun, 29 Sep 2019 04:59:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 16 May 2017 06:52:19 -0700 (PDT)
>> From: Drew Adams <[email-masked]>
>>
>> C-h r
>>
>> i calc  ; No match
>>
>> Something is wrong here too.  Calc should at least be mentioned
>> in the Emacs manual.  There should be a cross reference there
>> to the Calc manual.
>
> I don't see why.  We don't have such references for other packages
> documented in their separate manuals.  The Emacs manual is not the
> Hub" of Emacs-related documentation; the "dir" node is.
>
>> Searching for `calc' in the Emacs manual finds only one reference:
>
> You forgot "M-x info-apropos".

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 16 May 2017 12:04:35 -0700 (PDT)
>> From: Drew Adams <[email-masked]>
>> Cc: [email-masked]
>>
>> > You forgot "M-x info-apropos".
>>
>> No I didn't.  That doesn't find `calc' in the Emacs manual.
>
> Because 'calc' is not in the Emacs manual.  The command does find
> 'calc' in the manual where it is described.  Which is what that
> command is for: to find stuff you don't know which manual to search it
> for.
>
> IOW, if you cannot find something in the manual(s) you think that
> something should be in, try the 'd' command or info-apropos as the
> last resort.

>From the above, it seems like there is nothing more to do here, and I'm
therefore closing this bug report.

If anyone disagrees, feel free to reopen it.

Best regards,
Stefan Kangas

Subject: 25.2; `calc-mode': autoload?
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Tue, 16 May 2017 06:52:19 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q

C-h f calc-mode  ; No match
C-h v calc-mode  ; No match

C-h f calc

  calc is an interactive autoloaded Lisp function in ‘calc.el’.

  It is bound to <menu-bar> <tools> <calc>.

  (calc &optional ARG FULL-DISPLAY INTERACTIVE)

  The Emacs Calculator.  Full documentation is listed under "calc-mode".
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Huh?  We send users off to consult the "full documentation"
of "calc-mode" (which presumably should be `calc-mode')?
And just where should a user expect that documentation
"calc-mode" to be "listed"?

Something is wrong here, at least from a user point of view.

C-h r

i calc  ; No match

Something is wrong here too.  Calc should at least be mentioned
in the Emacs manual.  There should be a cross reference there
to the Calc manual.  Searching for `calc' in the Emacs manual
finds only one reference:

 • David Gillespie wrote the Common Lisp compatibility packages;
   ‘Calc’, an advanced calculator and mathematical tool, since
   maintained and developed by Jay Belanger; ‘complete.el’, a partial
   completion mechanism; and ‘edmacro.el’, a package for editing
   keyboard macros.

In GNU Emacs 25.2.1 (x86_64-w64-mingw32)
 of 2017-04-24 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --without-dbus --without-compress-install 'CFLAGS=-O2
 -static -g3''